Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.admin
Class DefaultAdminProvider

    java.lang.Object
      org.jivesoftware.openfire.admin.DefaultAdminProvider

All Implemented Interfaces:
  AdminProvider

    public class DefaultAdminProvider

extends Object
implements AdminProvider

Handles default management of admin users, which stores the list if accounts as a system property.

Author:
  Daniel Henninger

Constructor Summary
`DefaultAdminProvider()` Constructs a new DefaultAdminProvider

Method Summary
`List<org.xmpp.packet.JID>` | `getAdmins()` The default provider retrieves the comma separated list from the system property `admin.authorizedJIDs`
`boolean` | `isReadOnly()` The default provider is not read only
`void` | `setAdmins(List<org.xmpp.packet.JID> admins)` The default provider sets a comma separated list as the system property `admin.authorizedJIDs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAdminProvider

    public DefaultAdminProvider()

  Constructs a new DefaultAdminProvider

Method Detail

### getAdmins

    public List<org.xmpp.packet.JID> getAdmins()

  The default provider retrieves the comma separated list from the system property `admin.authorizedJIDs`

  Specified by:
    `getAdmins` in interface `AdminProvider`
  Returns:
    The list of admin users.
  See Also:
    `AdminProvider.getAdmins()`

### setAdmins

    public void setAdmins(List<org.xmpp.packet.JID> admins)

  The default provider sets a comma separated list as the system property `admin.authorizedJIDs`

  Specified by:
    `setAdmins` in interface `AdminProvider`
  Parameters:
    `admins` - List of JIDs of accounts to grant admin access to.
  See Also:
    `AdminProvider.setAdmins(java.util.List)`

### isReadOnly

    public boolean isReadOnly()

  The default provider is not read only

  Specified by:
    `isReadOnly` in interface `AdminProvider`
  Returns:
    True or false if the admin list can be edited.
  See Also:
    `AdminProvider.isReadOnly()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.